summaryrefslogtreecommitdiff
path: root/.github/scripts/generate_patch.sh
diff options
context:
space:
mode:
Diffstat (limited to '.github/scripts/generate_patch.sh')
-rwxr-xr-x.github/scripts/generate_patch.sh10
1 files changed, 10 insertions, 0 deletions
diff --git a/.github/scripts/generate_patch.sh b/.github/scripts/generate_patch.sh
new file mode 100755
index 000000000..04cc431b0
--- /dev/null
+++ b/.github/scripts/generate_patch.sh
@@ -0,0 +1,10 @@
+#!/usr/bin/env bash
+set -euo pipefail
+
+PATCH=$(git diff | base64 -w 0)
+if [ -n "$PATCH" ]; then
+ echo 'Fixes were made for your PR. To apply these changes to your working directory, copy and run the following command:' >> $GITHUB_STEP_SUMMARY
+ echo '```' >> $GITHUB_STEP_SUMMARY
+ echo "echo -n $PATCH | base64 -d | git apply -" >> $GITHUB_STEP_SUMMARY
+ echo '```' >> $GITHUB_STEP_SUMMARY
+fi